> ## Documentation Index
> Fetch the complete documentation index at: https://omniflow-vpn.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1adminpayments refunds



## OpenAPI

````yaml https://raw.githubusercontent.com/kewldan/omniflow/main/api/openapi.yaml post /v1/admin/payments/{paymentID}/refunds
openapi: 3.0.3
info:
  title: Omniflow API
  version: 1.0.0
  description: >-
    Customer, commerce, payment, wallet, fulfillment, and operations API for
    Omniflow.
servers: []
security: []
paths:
  /v1/admin/payments/{paymentID}/refunds:
    post:
      tags:
        - payments
      operationId: createRefund
      parameters:
        - $ref: '#/components/parameters/PaymentID'
        - $ref: '#/components/parameters/IdempotencyKey'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefundInput'
      responses:
        '201':
          description: Refund recorded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Refund'
        '422':
          $ref: '#/components/responses/Problem'
      security:
        - operatorToken: []
components:
  parameters:
    PaymentID:
      in: path
      name: paymentID
      required: true
      schema:
        type: string
        format: uuid
    IdempotencyKey:
      in: header
      name: Idempotency-Key
      required: true
      schema:
        type: string
        minLength: 8
        maxLength: 128
  schemas:
    RefundInput:
      allOf:
        - $ref: '#/components/schemas/Money'
        - type: object
          required:
            - reason
          properties:
            reason:
              type: string
            receiptMetadata:
              type: object
              additionalProperties: true
    Refund:
      allOf:
        - $ref: '#/components/schemas/Money'
        - type: object
          properties:
            id:
              type: string
              format: uuid
            status:
              type: string
            providerReference:
              type: string
              nullable: true
    Money:
      type: object
      required:
        - amountMinor
        - currency
      properties:
        amountMinor:
          type: integer
          format: int64
          minimum: 0
        currency:
          type: string
          pattern: ^[A-Z]{3}$
    Problem:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
        title:
          type: string
        status:
          type: integer
        detail:
          type: string
        request_id:
          type: string
  responses:
    Problem:
      description: Request failed
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    operatorToken:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.